REVOKED status.curl -X POST "https://api.adrelay.dev/v1/connections/sync" \
-H "X-API-Key: $ADRELAY_API_KEY"
const response = await fetch("https://api.adrelay.dev/v1/connections/sync", {
method: "POST",
headers: { "X-API-Key": process.env.ADRELAY_API_KEY },
});
const data = await response.json();
import requests
response = requests.post(
"https://api.adrelay.dev/v1/connections/sync",
headers={"X-API-Key": "your-api-key-here"},
)
data = response.json()
{
"synced": 2,
"connections": [
{
"id": "conn_abc123",
"platform": "google_ads",
"status": "ACTIVE",
"last_synced_at": "2026-03-21T10:00:00Z"
},
{
"id": "conn_def456",
"platform": "meta_ads",
"status": "ACTIVE",
"last_synced_at": "2026-03-21T10:00:01Z"
}
]
}
{
"error": "Invalid or missing API key.",
"code": "UNAUTHORIZED",
"timestamp": 1711036800,
"request_id": "req_abc123"
}
Connections
Sync Connections
Sync all connected ad accounts to refresh account data and connection status.
curl -X POST "https://api.adrelay.dev/v1/connections/sync" \
-H "X-API-Key: $ADRELAY_API_KEY"
const response = await fetch("https://api.adrelay.dev/v1/connections/sync", {
method: "POST",
headers: { "X-API-Key": process.env.ADRELAY_API_KEY },
});
const data = await response.json();
import requests
response = requests.post(
"https://api.adrelay.dev/v1/connections/sync",
headers={"X-API-Key": "your-api-key-here"},
)
data = response.json()
{
"synced": 2,
"connections": [
{
"id": "conn_abc123",
"platform": "google_ads",
"status": "ACTIVE",
"last_synced_at": "2026-03-21T10:00:00Z"
},
{
"id": "conn_def456",
"platform": "meta_ads",
"status": "ACTIVE",
"last_synced_at": "2026-03-21T10:00:01Z"
}
]
}
{
"error": "Invalid or missing API key.",
"code": "UNAUTHORIZED",
"timestamp": 1711036800,
"request_id": "req_abc123"
}